summaryrefslogtreecommitdiff
path: root/unofficial
diff options
context:
space:
mode:
authorDieter Plaetinck <dieter@plaetinck.be>2008-11-04 15:33:04 +0100
committerDieter Plaetinck <dieter@plaetinck.be>2008-11-04 15:33:04 +0100
commit3d7f8cddb67ca20d929d2e583007e4511aefbcd0 (patch)
tree75c192e3faab4f891d938a039683f6f63fe1e5cd /unofficial
parent6d1c3d1083e74e9eae99ad304977401feccb88c8 (diff)
first version of yaourt lib + use it in dieter module
Diffstat (limited to 'unofficial')
-rw-r--r--unofficial/modules/dieter/procedures/automatic3
-rw-r--r--unofficial/modules/yaourt/libs/lib-yaourt-sh23
2 files changed, 25 insertions, 1 deletions
diff --git a/unofficial/modules/dieter/procedures/automatic b/unofficial/modules/dieter/procedures/automatic
index 680e8c9..6720a9a 100644
--- a/unofficial/modules/dieter/procedures/automatic
+++ b/unofficial/modules/dieter/procedures/automatic
@@ -1,4 +1,5 @@
#!/bin/bash
+depend_module yaourt
depend_procedure core base
var_RUNTIME_PACKAGES="svn"
@@ -19,7 +20,7 @@ phase_preparation ()
execute worker select_source
execute worker runtime_packages
- #TODO: i should have extra,community,.. (actually even yaourt/aur) available
+ _yaourt_replace_pacman
}
diff --git a/unofficial/modules/yaourt/libs/lib-yaourt-sh b/unofficial/modules/yaourt/libs/lib-yaourt-sh
new file mode 100644
index 0000000..79730dc
--- /dev/null
+++ b/unofficial/modules/yaourt/libs/lib-yaourt-sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# See http://wiki.archlinux.org/index.php/Yaourt
+
+_runtime_yaourt ()
+{
+ if ! target_list_pacman_repos | grep -q archlinuxfr
+ then
+ target_add_pacman_repo archlinuxfr 'Server = http://repo.archlinux.fr/i686'
+ fi
+ PACMAN_TARGET -Sy yaourt
+ YAOURT=`sed 's/pacman/yaourt/' <<< $PACMAN`
+ YAOURT_TARGET=`sed 's/pacman/yaourt/' <<< $PACMAN_TARGET`
+}
+
+
+_yaourt_replace_pacman ()
+{
+ _runtime_yaourt
+ PACMAN=$YAOURT
+ PACMAN_TARGET=$YAOURT_TARGET
+}
+